import request from "@/utils/request"

/**
 * @description 课程表管理-班级课程表 接口
 */

// 列表查询
// export function getScheduleList(id,postForm) {
//   return request({
//     url: '/schoolTimeTable/getCourseSchedule/'+id,
//     method: 'post',
//     params: postForm
//   })
// }
// // 查询列表
export function getScheduleList(postForm) {
  return request({
    url: '/schoolTimeTable/getSchoolSchedule',
    method: 'get',
    params: postForm
  })
}

/**
 * @description 获取左侧班级列表数据
 * */
export function getAllClassList(queryForm) {
  return request({
    url: '/schoolTimeTable/getSchoolGradeList',
    method: 'get',
    params: queryForm
  })
}

// 获取班级课程数信息
export function getScheduleInfo(id) {
  return request({
    url: '/schoolTimeDetail/queryByTimeId/'+id,
    method: 'get'
  })
}
